<?php

use Illuminate\Support\Facades\Route;

// Route::get('/', function () {
//     return view('welcome');
// });

Route::post('/register', [AuthController::class, 'register'])->name('register');
Route::post('/login', [AuthController::class, 'login'])->name('login');

Route::get('/application', [ApplicationController::class, 'index'])->name('application.index');
Route::get('/application/create', [ApplicationController::class, 'create'])->name('application.create');
Route::post('/application', [ApplicationController::class, 'store'])->name('application.store');
Route::post('/application/{application}/comment', [AdminController::class, 'comment'])->name('application.comment');

Route::get('/admin', [AdminController::class, 'dashboard'])->name('admin.dashboard');
Route::post('/admin/application/{application}/status', [AdminController::class, 'updateStatus'])->name('admin.dashboard.status');